using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace HySoft.BaseCallCenter.Web.workordermanage.workorder
{
    public partial class workorderInfo : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                if (Request.QueryString["workorderid"] != null)
                {
                    string workorderid = Request.QueryString["workorderid"];//工单编号
                    GetModelValue(workorderid);
                }
            }
        }
        private void GetModelValue(string workorderid) {
            if (workorderid != "")
            {
                Model.T_Wo_WorkOrderBase twwob = new BLL.T_Wo_WorkOrderBase().GetModel(Convert.ToInt32(workorderid));
                if (twwob.F_WORKORDERID != null)
                    txtWorkId.InnerText = twwob.F_WORKORDERID.ToString();
                if (twwob.F_LINKMANTELEPHONE != null)
                    txtPhoneTel.InnerText = twwob.F_LINKMANTELEPHONE.ToString();
                if (twwob.F_CREATEDATE != null)
                    txtAddTime.InnerText = twwob.F_CREATEDATE.ToString();
                if (twwob.F_CREATEBY != null)
                    txtAddPeople.InnerText = twwob.F_CREATEBY.ToString();//这里待处理
                if (twwob.F_USERNAME != null)
                    txtChuLiPeople.InnerText = twwob.F_USERNAME.ToString();
                if (twwob.F_USERPHONE != null)
                    txtChuLiPhone.InnerText = twwob.F_USERPHONE.ToString();
                if (twwob.F_WORKORDERTYPEID != null)
                    txtWorkLeiXing.InnerText = twwob.F_WORKORDERTYPEID.ToString();//这里待处理
                if (twwob.F_WORKORDERTYPEID != null)
                    txtBigLei.InnerText = twwob.F_WORKORDERTYPEID.ToString();//这里待处理
                if (twwob.F_WORKORDERTYPEID != null)
                    txtSmallLei.InnerText = twwob.F_WORKORDERTYPEID.ToString();//这里待处理
                txtChuLiFangShi.InnerText = "";//这里待处理
                if (twwob.F_Name != null)
                    txtWorkState.InnerText = twwob.F_Name.ToString();
                if (twwob.F_REPAIRLEVELNAME != null)
                    txtWorkJiBie.InnerText = twwob.F_REPAIRLEVELNAME.ToString();
                if (twwob.F_FILEFLAG != null)
                    txtShangChuanFile.InnerText = twwob.F_FILEFLAG.ToString();//待处理
                //这里是附件信息
                //这里是录音文件
                if (twwob.F_CONTENT != null)
                    txtRemark.InnerText = twwob.F_CONTENT.ToString();
                //。。。处理反馈信息
                //。。。最终处理部门
                //。。。最终处理人
                //最终处理时间
                //回访部门
                //if (twwob.F_RETURNVISITMAN != null)
                //    txtHuiFangPeople.InnerText = twwob.F_RETURNVISITMAN.ToString();
                if (twwob.F_RETURNVISITTIME != null)
                    txtHuiFangTime.InnerText = twwob.F_RETURNVISITTIME.ToString();
                if (twwob.F_RETURNVISITCONTENT != null)
                    txtHuiFangJieGuo.InnerText = twwob.F_RETURNVISITCONTENT.ToString();
                if (twwob.F_REPAIRCLOSEREASONS != null)
                    txtYuanYin.InnerText = twwob.F_REPAIRCLOSEREASONS.ToString();
                if (twwob.F_RETURNVISITCONTENT != null)
                    txtHuiFangRemark.InnerText = twwob.F_RETURNVISITCONTENT.ToString();
            }
        }
    }
}